org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template

## Class CustomRoleManager

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template.CustomRoleManager

    public class CustomRoleManager
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CustomRoleManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Role` `getRole(String roleName)`
`String` `getRoot()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomRoleManager

    public CustomRoleManager()

### Method Detail

#### getRoot

    public String getRoot()

#### getRole

    public Role getRole(String roleName)
                 throws NoSuchElementException

Throws:
  `NoSuchElementException`